<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE hibernate-configuration PUBLIC

"-//Hibernate/Hibernate Configuration DTD//EN"

"http://hibernate.sourceforge.net/hibernate-configuration-3.0.dtd">

 <hibernate-configuration>
  <session-factory>
  <!-- informations de connection à la database -->
 <property name = "connection.driver_class"> org.postgresql.Driver </property>
 <property name = "connection.url"> jdbc:postgresql://localhost:5432/voiture </property>
 <property name = "connection.username"> postgres </property>
 <property name = "connection.password"> admin </property>
 <!-- Permet d'afficher les requêtes SQL -->
 <property name = "show_sql"> true </property>
 <!-- Permet à Hibernate de créer les tables depuis les entités -->
 <property name = "hbm2ddl.auto"> create </property>

 <!-- Charger les entités -->
 <mapping class = "org.example.domaine.Voiture" />
 </session-factory>
</hibernate-configuration>
